Subject: Web proxy with http-gw - help please

From: po llito <[email-masked]>
Date: Fri, 10 Mar 2000 17:46:35 -0800 (PST)

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

I have a machine that I am trying to configure as an
http proxy server so that machines connecting through
it can be allowed to reach IP restricted services on
our campus.

outisde world    -----> proxy server            ----->
IP restricted sites
(dissallowed IP)        (allowed IP address)   
(allows 						proxy 						connections)
                                                      
         					|
disallowed IP <------   proxy   <-------return 	
results(displays 
restricted
web content)

At this point, I'm not yet concerned with user
authentication and IP restriction for who can reach
the proxy server.

All I'm interested in is finding out how an unknown IP
address can connect through the proxy server and the
proxy server can request the IP restricted http
resource on behalf of the unknown IP address and
return
the results to the unknown address.

Can I use an automatic proxy configuration file from a
web browser (*.pac) so that only sites in the
javascript function are proxied? i.e.:

if (dnsDomainIs(host,"restricted.site")){ return
"PROXY campus.proxy:80"; }

Do I need to use http-gw in combination with Apache's
mod_proxy to achieve the above effect?

Any examples of ntperm-table or httpd-conf that you
can provide would be helpful on how I can achieve this
using only http-gw (2.1)  and Apache 1.3 on Debian
Linux 2.1.

Thanks,

Ed U.
__________________________________________________
Do You Yahoo!?
Talk to your friends online with Yahoo! Messenger.
http://im.yahoo.com